> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/pt/automacao/runbooks/runbook-references/org/general/export-all-autopilot-devices.md).

# Exportar todos os dispositivos Autopilot

### Descrição

Lista todos os dispositivos do Windows Autopilot e, opcionalmente, exporta-os para um ficheiro CSV no Azure Storage. Se a exportação estiver ativada, o runbook carrega o relatório e devolve um link SAS (download) com tempo limitado.

### Localização

Organização → Geral → Exportar Todos os Dispositivos Autopilot

**Nome completo do runbook**

rjgit-org\_general\_export-all-autopilot-devices

### Detalhes

| Propriedade         | Valor                              |
| ------------------- | ---------------------------------- |
| Versão              | 1.0.1                              |
| Módulos necessários | RealmJoin.RunbookHelper (>= 0.8.9) |
| Agendável           | não                                |

### Permissões

#### Permissões de aplicação

* **Tipo**: Microsoft Graph
  * DeviceManagementManagedDevices.Read.All
    * *Enriquece cada dispositivo Autopilot com dados do Intune através de /deviceManagement/managedDevices*
  * DeviceManagementServiceConfig.Read.All
    * *Lista windowsAutopilotDeviceIdentities como os dados base da exportação*

### Parâmetros

#### ExportToFile

"Listar no Console" (valor final: $false) ou "Exportar para um ficheiro CSV" (valor final: $true) podem ser selecionados como ação a executar.

| Propriedade  | Valor    |
| ------------ | -------- |
| Obrigatório  | falso    |
| Valor padrão | Falso    |
| Tipo         | Booleano |

**Opções do portal**

| Opção do portal               | Valor |
| ----------------------------- | ----- |
| Exportar para um ficheiro CSV |       |
| Listar na Consola             |       |

#### ContainerName

Nome do contentor Azure Storage para carregar o relatório CSV.

| Propriedade  | Valor  |
| ------------ | ------ |
| Obrigatório  | falso  |
| Valor padrão |        |
| Tipo         | String |

#### ResourceGroupName

Nome do Grupo de Recursos do Azure que contém o Storage Account.

| Propriedade  | Valor  |
| ------------ | ------ |
| Obrigatório  | falso  |
| Valor padrão |        |
| Tipo         | String |

#### StorageAccountName

Nome do Azure Storage Account usado para carregamento.

| Propriedade  | Valor  |
| ------------ | ------ |
| Obrigatório  | falso  |
| Valor padrão |        |
| Tipo         | String |

#### StorageAccountLocation

Região do Azure para o Storage Account, caso tenha de ser criado.

| Propriedade  | Valor  |
| ------------ | ------ |
| Obrigatório  | falso  |
| Valor padrão |        |
| Tipo         | String |

#### StorageAccountSku

Nome do SKU do Storage Account, caso tenha de ser criado.

| Propriedade  | Valor  |
| ------------ | ------ |
| Obrigatório  | falso  |
| Valor padrão |        |
| Tipo         | String |

[Voltar à visão geral da referência do runbook](/pt/automacao/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/pt/automacao/runbooks/runbook-references/org/general/export-all-autopilot-devices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
